<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
        //SỬ DỤNG FUNCTION
    // function User(){
    //     this.username="";
    //     this.password="";

    //     this.setInfo = function (username, password){
    //         this.username = username;
    //         this.password = password;
    //     }
    //     this.check_login = function(){
    //         return (this.username==='admin' && this.password==='123')
    //     };
    //     return this;
    // }
    // var user = new User();
    // user.setInfo('admin','123')
    // if(user.check_login()){
    //     alert(" Login complete!")
    // }else{
    //     alert("Login fail")
    // }
        // SỬ DỤNG OBJECT
        var User = {
            username : '',
            password : '',
            // function
            setInfo: function(username, password){
                this.username = username;
                this.password = password;
            },
            check_login : function(){
                return(this.username==='admin' && this.password==='123')
            }
        }
        User.setInfo('admin', '123')
        if(User.check_login()){
            alert(' Login complete!')
        }else{
            alert(' Login Fail!')
        }
        // sử dụng Singleton Object 
        var User =new function(){
            this.username='';
            this.password='';

            this.setInfor = function(username,password){
                this.username = username;
                this.password = password;
            }
            this.check_login= function(){
                return(this.username==='admin' && this.password==='123');
            }
        }
        User.setInfo('admin', '123')
        if(User.check_login()){
            alert("Login complete!");
        }else{
            alert('Login Fail');
        }
    </script>
</body>
</html>